Package com.salesforce.datacloud.jdbc.util

## Class Result<T>

- java.lang.Object
- - com.salesforce.datacloud.jdbc.util.Result<T>

Direct Known Subclasses:
  `Result.Failure`, `Result.Success`

    public abstract class Result<T>
    extends Object

### Nested Class Summary

Nested Classes
`static class` `Result.Failure<T>`
`static class` `Result.Success<T>`

### Method Summary

All Methods Static Methods Concrete Methods
`static <T,​E extends Exception> Result<T>` `of​(@NonNull ThrowingSupplier<T,​E> supplier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### of

    public static <T,​E extends Exception> Result<T> of​(@NonNull
                                                             @NonNull ThrowingSupplier<T,​E> supplier)